gnutls_openpgp_crt_get_subkey_idx(3)

NAME
gnutls_openpgp_crt_get_subkey_idx - Returns the subkey's index

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_crt_get_subkey_idx(gnutls_openpgp_crt_t key, const gnutls_openpgp_keyid_t keyid);

ARGUMENTS

gnutls_openpgp_crt_t key
    the structure that contains the OpenPGP public key.

const gnutls_openpgp_keyid_t keyid
    the keyid.

DESCRIPTION
Get subkey's index.

RETURNS
the index of the subkey or a negative error value.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.